//Sample test program for MSP430-5438STK
//Test LEDs and joystick's button
//On pressing of each button the state of LEDs is changed

#include "io430.h"

void PORT_Init()
{
	P10DIR = P10DIR | 0xC0;			//LED1, LED2 set as output
	P1DIR = P1DIR & ~(0x7C);			//Joystick's buttons set as input
	
	P10OUT = P1OUT | 0x80 & ~(0x40);	//Set LED1 ON, LED2 OFF
}

int main( void )
{
  char released = 1;	//optional variable indicate is the button pressed or no
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;

  PORT_Init();

  while (1)
  {
	//check state of the buttons and variable "Released"
	if (!((P1IN & 0x40) && (P1IN & 0x20) && (P1IN & 0x10) && (P1IN & 0x08) && (P1IN & 0x04)) && released)
	{	
		P10OUT = P10OUT ^ 0xC0;	//change state of the LEDs
		released = 0;		//button is pressed
	}
	if ((P1IN & 0x40) && (P1IN & 0x20) && (P1IN & 0x10) && (P1IN & 0x08) && (P1IN & 0x04))
		released = 1;		//button is released
  }
}
